Package com.io7m.coffeepick.api

# Class CoffeePickInventoryEventRuntimeLoaded

java.lang.Object
com.io7m.coffeepick.api.CoffeePickInventoryEventRuntimeLoaded

All Implemented Interfaces:
  `CoffeePickEventType`, `CoffeePickInventoryEventRuntimeLoadedType`, `CoffeePickInventoryEventType`

    public final class CoffeePickInventoryEventRuntimeLoaded
    extends java.lang.Object
    implements CoffeePickInventoryEventRuntimeLoadedType

A runtime was loaded.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type | Class | Description
  --- | --- | ---
  `static class` | `CoffeePickInventoryEventRuntimeLoaded.Builder` | Builds instances of type `CoffeePickInventoryEventRuntimeLoaded`.

  ## Nested classes/interfaces inherited from interface com.io7m.coffeepick.api.CoffeePickEventType

  `CoffeePickEventType.Severity`

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static CoffeePickInventoryEventRuntimeLoaded.Builder` | `builder()` | Creates a builder for `CoffeePickInventoryEventRuntimeLoaded`.
  `static CoffeePickInventoryEventRuntimeLoaded` | `copyOf​(CoffeePickInventoryEventRuntimeLoadedType instance)` | Creates an immutable copy of a `CoffeePickInventoryEventRuntimeLoadedType` value.
  `boolean` | `equals​(java.lang.Object another)` | This instance is equal to all instances of `CoffeePickInventoryEventRuntimeLoaded` that have equal attribute values.
  `int` | `hashCode()` | Computes a hash code from attributes: `id`.
  `java.lang.String` | `id()` |
  `static CoffeePickInventoryEventRuntimeLoaded` | `of​(java.lang.String id)` | Construct a new immutable `CoffeePickInventoryEventRuntimeLoaded` instance.
  `java.lang.String` | `toString()` | Prints the immutable value `CoffeePickInventoryEventRuntimeLoaded` with attribute values.
  `CoffeePickInventoryEventRuntimeLoaded` | `withId​(java.lang.String value)` | Copy the current immutable object by setting a value for the `id` attribute.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.io7m.coffeepick.api.CoffeePickInventoryEventRuntimeLoadedType

  `severity`

- ## Method Details

  - ### id

    public java.lang.String id()
    Specified by:
      `id` in interface `CoffeePickInventoryEventRuntimeLoadedType`
    Returns:
      The ID of the runtime

  - ### withId

    public final CoffeePickInventoryEventRuntimeLoaded withId​(java.lang.String value)
    Copy the current immutable object by setting a value for the `id` attribute. An equals check used to prevent copying of the same value by returning `this`.
    Parameters:
      `value` - A new value for id
    Returns:
      A modified copy of the `this` object

  - ### equals

    public boolean equals​(java.lang.Object another)
    This instance is equal to all instances of `CoffeePickInventoryEventRuntimeLoaded` that have equal attribute values.
    Overrides:
      `equals` in class `java.lang.Object`
    Returns:
      `true` if `this` is equal to `another` instance

  - ### hashCode

    public int hashCode()
    Computes a hash code from attributes: `id`.
    Overrides:
      `hashCode` in class `java.lang.Object`
    Returns:
      hashCode value

  - ### toString

    public java.lang.String toString()
    Prints the immutable value `CoffeePickInventoryEventRuntimeLoaded` with attribute values.
    Overrides:
      `toString` in class `java.lang.Object`
    Returns:
      A string representation of the value

  - ### of

    public static CoffeePickInventoryEventRuntimeLoaded of​(java.lang.String id)
    Construct a new immutable `CoffeePickInventoryEventRuntimeLoaded` instance.
    Parameters:
      `id` - The value for the `id` attribute
    Returns:
      An immutable CoffeePickInventoryEventRuntimeLoaded instance

  - ### copyOf

    public static CoffeePickInventoryEventRuntimeLoaded copyOf​(CoffeePickInventoryEventRuntimeLoadedType instance)
    Creates an immutable copy of a `CoffeePickInventoryEventRuntimeLoadedType` value. Uses accessors to get values to initialize the new immutable instance. If an instance is already immutable, it is returned as is.
    Parameters:
      `instance` - The instance to copy
    Returns:
      A copied immutable CoffeePickInventoryEventRuntimeLoaded instance

  - ### builder

    public static CoffeePickInventoryEventRuntimeLoaded.Builder builder()
    Creates a builder for `CoffeePickInventoryEventRuntimeLoaded`.

         CoffeePickInventoryEventRuntimeLoaded.builder()
            .setId(String) // required id
            .build();

    Returns:
      A new CoffeePickInventoryEventRuntimeLoaded builder